Subject: bug#20251: 24.5; backward-list does nothing useful in inferior-python-mode

From: Andreas Röhler <[email-masked]>
Date: Sat, 04 Apr 2015 09:41:01 +0200

Am 03.04.2015 um 20:03 schrieb Eric Hanchrow:
> * I started emacs with `emacs -Q -nw'.
> * I started an interactive Python REPL with ESC x r u n - p y t h o n RET
> * I entered a very simple statement: l SPC = SPC [ 1 , SPC 2 , SPC 3 ] RET
> * I then tried to position point at the [: ESC x b a c k w a r d - l i 
> s t RET
>
> I noticed, to my dismay, that point was now at the beginning of the
> buffer, and not before the [.
>

IIUC cursor was at the opening bracket, i.e. at the beginning of list. 
In that case Emacs would search the previous list - and end at BOB if no 
other list found.

Nonetheless probably it would be useful if in comint-modes position of 
prompt is taken for point-min.